---
layout: post
author:
    name: Andrew Grieve
    url: https://twitter.com/GrieveAndrew
title: "Action Required: Android KitKat Compatibility"
categories: announcements
tags: android
---

Android KitKat brings a [massive update](https://developers.google.com/chrome/mobile/docs/webview/overview)
to the system WebView. This is terrific news for Cordova developers, as
[initial](http://www.mobilexweb.com/blog/android-4-4-kitkat-browser-chrome-webview)
[reviews](http://thenextweb.com/google/2013/11/02/kitkats-webview-powered-chromium-enabling-android-app-developers-use-new-html5-css-features/)
give it a big thumbs up.

**Update:** The following is not actually true. It was an issue with a release candidate, but does not manifest in the final version of the WebView.

However, the update introduced [a bug in Cordova applications](https://issues.apache.org/jira/browse/CB-5393)
that were built with Cordova versions prior to `3.1.0`, or `2.9.1`
which can cause native bridge callbacks to not be received until another one is made
(e.g. by switching in & out of the app). We strongly encourage all apps to
[update their Cordova version](http://cordova.apache.org/docs/en/3.1.0/guide_platforms_android_upgrading.md.html),
or to directly apply the fix to
[cordova-android](https://git-wip-us.apache.org/repos/asf?p=cordova-android.git;a=commit;h=166b35bc6c5977cf547f4093690d554b57cb855a) and
[cordova-js](https://git-wip-us.apache.org/repos/asf?p=cordova-js.git;a=commit;h=1be2876635d2a788270238c4b1cfad200c488e32).

