---
layout: post
author:
    name: Andrew Grieve
    url: https://twitter.com/GrieveAndrew
title:  "Apache Cordova 3.3.0"
categories: announcements
tags: news releases
---

On Friday, `Cordova 3.3` went live on npm. Woohoo!

This release brings with it initial support for [Ubuntu Touch](http://cordova.apache.org/docs/en/3.3.0/guide_platforms_ubuntu_index.md.html)
 as well as [Amazon Fire OS](http://cordova.apache.org/docs/en/3.3.0/guide_platforms_amazonfireos_index.md.html)!

To upgrade: (replace `android` with the platform you want to update):

    npm install -g cordova
    cd my_project
    cordova platform update android

For non-CLI projects or for pre-3.0 projects, refer to the [upgrade guides](http://cordova.apache.org/docs/en/3.3.0/guide_platforms_index.md.html).

<!--more-->

## What's new in Android

41 commits from 11 authors. Highlights include:

* [CB-5481](https://issues.apache.org/jira/browse/CB-5481) Fix for Cordova trying to get config.xml from the wrong namespace
* [CB-5487](https://issues.apache.org/jira/browse/CB-5487) Enable Remote Debugging when your Android app is debuggable.
* [CB-5445](https://issues.apache.org/jira/browse/CB-5445) Adding onScrollChanged and the ScrollEvent object
* [CB-5422](https://issues.apache.org/jira/browse/CB-5422) Don't require JAVA_HOME to be defined
* [CB-5490](https://issues.apache.org/jira/browse/CB-5490) Add javadoc target to ant script
* [CB-5471](https://issues.apache.org/jira/browse/CB-5471) Deprecated DroidGap class
* [CB-5255](https://issues.apache.org/jira/browse/CB-5255) Prefer Google API targets over android-## targets when building.
* [CB-5232](https://issues.apache.org/jira/browse/CB-5232) Change create script to use Cordova as a Library Project instead of a .jar
* [CB-5302](https://issues.apache.org/jira/browse/CB-5302) Massive movement to get tests working again
* [CB-4996](https://issues.apache.org/jira/browse/CB-4996) Fix paths with spaces while launching on emulator and device
* [CB-5209](https://issues.apache.org/jira/browse/CB-5209) Cannot build Android app if project path contains spaces

## What's new in iOS

* No significant Changes

## What's new in Windows Phone 7 & 8

* [CB-5360](https://issues.apache.org/jira/browse/CB-5360) Removed Compiler warnings
* [CB-4538](https://issues.apache.org/jira/browse/CB-4538) Copy check_reqs scripts in create script
* [CB-4103](https://issues.apache.org/jira/browse/CB-4103) Make config parameter checks case-insensitive WP7+WP8
* [CB-2347](https://issues.apache.org/jira/browse/CB-2347) Add support for config.xml preference: 'fullscreen'
* [CB-5203](https://issues.apache.org/jira/browse/CB-5203) Using XmlHTTPRequest.open on WP8 raises a TypeError
* [CB-5435](https://issues.apache.org/jira/browse/CB-5435) Handle missing preferences gracefully ( config.xml )
* [CB-5354](https://issues.apache.org/jira/browse/CB-5354) Networking becomes a required permission so that XHR can work
* disable Idle detection when debugging for wp7+wp8

**Windows Phone 7 is now deprecated!**  Consider upgrading your projects to
Windows Phone 8 as we will be dropping support completely in version 3.7.0
Read the retrospective here: [http://www.risingj.com/archives/585](http://www.risingj.com/archives/585)

## What's new in Windows 8

* [CB-5040](https://issues.apache.org/jira/browse/CB-5040) `cordova run windows8` has no effect

## What's new in BlackBerry 10

* [CB-5434](https://issues.apache.org/jira/browse/CB-5434) Windows: Always use USERPROFILE for home directory
* [CB-5443](https://issues.apache.org/jira/browse/CB-5443) Windows: Handle installed 64 bit Java
* [CB-5468](https://issues.apache.org/jira/browse/CB-5468) Improve config.xml encoding handling
* [CB-5509](https://issues.apache.org/jira/browse/CB-5509) Remove ability to set default target (since device detection is now used)
* [CB-5510](https://issues.apache.org/jira/browse/CB-5510) Update response codes for plugin success/fail
* [CB-5413](https://issues.apache.org/jira/browse/CB-5413) Device detection - iterate through all 169.254.x networks
* [CB-5317](https://issues.apache.org/jira/browse/CB-5317) Move signing warn logic to build/run scripts
* [CB-5258](https://issues.apache.org/jira/browse/CB-5258) Use exit library for process.exit

## What's new in FirefoxOS

* No significant Changes

## What's new in Cordova-CLI

* [CB-5347](https://issues.apache.org/jira/browse/CB-5347) Handle dangling platform symlink in cordova platform add
* Added deprecation notice about wp7
* Updated plugman version to 0.17.0
  * [CB-5238](https://issues.apache.org/jira/browse/CB-5238) Adds support on iOS for `<framework src="..." custom="true" />`
* [CB-5573](https://issues.apache.org/jira/browse/CB-5573) relies on stderr content and error codes to detect a problem with xcode installation.
* [CB-4382](https://issues.apache.org/jira/browse/CB-4382) Pass cli arguments to project-level hooks
* [CB-5362](https://issues.apache.org/jira/browse/CB-5362) blackberry parser: support local cordova-blackberry
* [CB-5345](https://issues.apache.org/jira/browse/CB-5345) Add pre_package event for windows8 parser.

## Plugin versions tested with this release

* cordova-plugin-battery-status: 0.2.5
* cordova-plugin-camera: 0.2.5
* cordova-plugin-console: 0.2.5
* cordova-plugin-contacts: 0.2.6
* cordova-plugin-device: 0.2.5
* cordova-plugin-device-motion: 0.2.4
* cordova-plugin-device-orientation: 0.3.3
* cordova-plugin-dialogs: 0.2.4
* cordova-plugin-file: 0.2.5
* cordova-plugin-file-transfer: 0.4.0
* cordova-plugin-geolocation: 0.3.4
* cordova-plugin-globalization: 0.2.4
* cordova-plugin-inappbrowser: 0.2.5
* cordova-plugin-media: 0.2.6
* cordova-plugin-media-capture: 0.2.5
* cordova-plugin-network-information: 0.2.5
* cordova-plugin-splashscreen: 0.2.5
* cordova-plugin-vibration: 0.3.5
