---
layout: post
author:
    name: Ian Clelland
    url: https://twitter.com/iclelland
title:  "Plugins Release: April 23, 2014"
categories: news
tags: release plugins
---
The following plugins were updated today:

* org.cordova.battery-status@0.2.8
* org.cordova.camera@0.2.9
* org.cordova.console@0.2.8
* org.cordova.contacts@0.2.10
* org.cordova.device@0.2.9
* org.cordova.device-motion@0.2.7
* org.cordova.device-orientation@0.3.6
* org.cordova.dialogs@0.2.7
* org.cordova.file@1.1.0
* org.cordova.file-transfer@0.4.3
* org.cordova.geolocation@0.3.7
* org.cordova.globalization@0.2.7
* org.cordova.inappbrowser@0.4.0
* org.cordova.media@0.2.10
* org.cordova.media-capture@0.3.0
* org.cordova.network-information@0.2.8
* org.cordova.splashscreen@0.3.0
* org.cordova.statusbar@0.1.5
* org.cordova.vibration@0.3.8

Many of these are minor, or only relevant to a couple of platforms. However, some notable changes include:
* `statusbar` is now a core Cordova plugin, and now includes support for Windows Phone
* `splashscreen` now includes support for Tizen
* `file` now produces webview-compatible URLs (file:///) URLs by default when calling `.toURL`
* `file` includes much of the functionality of the `file-system-roots` plugin, and allows access to all files on the device (except those blocked by the OS)
* iOS In-App-Browser now supports `clearcache` and `clearsessioncache` like Android
* Fixed several issues in `media-capture` which prevented it from being used with the `file` plugin
* iOS warnings have been fixed when compiling for 64-bit ARM
* Windows8 uses the built-in cordova exec proxy for all plugins, rather than a custom proxy.

The plugins have been updated on our registry at [plugins.cordova.io](http://plugins.cordova.io/).

E.g. To update your file plugin:

    cordova plugin rm org.apache.cordova.file
    cordova plugin add org.apache.cordova.file

Other changes include:
<!--more-->

`org.apache.cordova.camera@0.2.9`
* \[WP8\] When only targetWidth or targetHeight is provided, use it as the only bound
* [CB-4027](https://issues.apache.org/jira/browse/CB-4027), [CB-5102](https://issues.apache.org/jira/browse/CB-5102), [CB-2737](https://issues.apache.org/jira/browse/CB-2737), [CB-2387](https://issues.apache.org/jira/browse/CB-2387): \[WP\] Fix camera issues, cropping, memory leaks

`org.apache.cordova.contacts@0.2.10`
* [CB-6126](https://issues.apache.org/jira/browse/CB-6126): \[BlackBerry10\] Update docs quirks section for fields which are supported

`org.apache.cordova.device@0.2.9`
* [CB-5105](https://issues.apache.org/jira/browse/CB-5105): \[Android, windows8, WP, BlackBerry10\] Removed dead code for device.version

`org.apache.cordova.device-orientation@0.3.6`
* [CB-6381](https://issues.apache.org/jira/browse/CB-6381): \[WP8\] unexpected error object

`org.apache.cordova.dialogs@0.2.7`
* [CB-6411](https://issues.apache.org/jira/browse/CB-6411): \[BlackBerry10\] Work around Audio playback issue
* [CB-6411](https://issues.apache.org/jira/browse/CB-6411): \[BlackBerry10\] Updates to beep

`org.apache.cordova.file@1.1.0`
* [CB-4965](https://issues.apache.org/jira/browse/CB-4965): Remove tests from file plugin
* [CB-6249](https://issues.apache.org/jira/browse/CB-6249): \[Android\] Opportunistically resolve content urls to file
* [CB-6394](https://issues.apache.org/jira/browse/CB-6394): \[ios, android\] Add extra filesystem roots
* [CB-6394](https://issues.apache.org/jira/browse/CB-6394): \[ios, android\] Fix file resolution for the device root case
* [CB-6394](https://issues.apache.org/jira/browse/CB-6394): \[iOS\] Return ENCODING_ERR when fs name is not valid
* [CB-6393](https://issues.apache.org/jira/browse/CB-6393): Change behaviour of toURL and toNativeURL
* [CB-6352](https://issues.apache.org/jira/browse/CB-6352): Allow FileSystem objects to be serialized to JSON
* [CB-6242](https://issues.apache.org/jira/browse/CB-6242): \[BlackBerry10\] Add deprecated version of resolveLocalFileSystemURI
* [CB-6242](https://issues.apache.org/jira/browse/CB-6242): \[BlackBerry10\] add file:/// prefix for toURI / toURL
* [CB-6242](https://issues.apache.org/jira/browse/CB-6242): \[BlackBerry10\] Polyfill window.requestAnimationFrame for OS < 10.2
* [CB-6242](https://issues.apache.org/jira/browse/CB-6242): \[BlackBerry10\] Override window.resolveLocalFileSystemURL
* [CB-6212](https://issues.apache.org/jira/browse/CB-6212): \[iOS\] fix warnings compiled under arm64 64-bit
* [CB-6199](https://issues.apache.org/jira/browse/CB-6199): \[iOS\] Fix toNativeURL() not escaping characters properly
* [CB-6148](https://issues.apache.org/jira/browse/CB-6148): Fix cross-filesystem copy and move
* [CB-4952](https://issues.apache.org/jira/browse/CB-4952): ios: Resolve symlinks in file:// URLs
* Android: Allow file:/ URLs
* iOS: Fix handling of file URLs with encoded spaces
* iOS: Don't cache responses from CDVFile's URLProtocol
* Always use Android's recommended temp file location for temporary file system
* fixed setMetadata() to use the formatted fullPath
* corrected typo which leads to a "comma expression"
* Add docs about the extraFileSystems preference

`org.apache.cordova.file-transfer@0.4.3`
* [CB-5175](https://issues.apache.org/jira/browse/CB-5175): \[iOS\] CDVFileTransfer asynchronous download (Fixes #24)
* [CB-5762](https://issues.apache.org/jira/browse/CB-5762): \[FireOS\] android: Fix lengthComputable set wrong for gzip downloads
* [CB-5631](https://issues.apache.org/jira/browse/CB-5631): \[FireOS\] Removed SimpleTrackingInputStream.read(byte\[\] buffer)
* [CB-4907](https://issues.apache.org/jira/browse/CB-4907): \[FireOS\] Close stream when we're finished with it
* [CB-6000](https://issues.apache.org/jira/browse/CB-6000): \[FireOS\] Nginx rejects Content-Type without a space before "boundary".
* [CB-6050](https://issues.apache.org/jira/browse/CB-6050): \[FireOS\] Use instance method on actual file plugin object to get FileEntry to return on download
* iOS: Fix error where files were not removed on abort
* iOS: Cast id references to NSURL to avoid compiler warnings (Fixes: apache/cordova-plugin-file-transfer#18)

`org.apache.cordova.geolocation@0.3.7`
* [CB-5977](https://issues.apache.org/jira/browse/CB-5977): \[Android\] Removing the Android Geolocation Code.  Mission Accomplished.

`org.apache.cordova.globalization@0.2.7`
* [CB-4908](https://issues.apache.org/jira/browse/CB-4908): \[Android\] Long.valueOf(0) instead of new Long(0)

`org.apache.cordova.inappbrowser@0.4.0`
* [CB-6360](https://issues.apache.org/jira/browse/CB-6360): \[iOS\] Fix for crash on iOS < 6.0 (closes #37)
* [CB-3324](https://issues.apache.org/jira/browse/CB-3324): \[WP8\] Add support for back-button inappbrowser \[WP8\] if there is no history -> InAppBrowser is closed
* [CB-6402](https://issues.apache.org/jira/browse/CB-6402): \[WP8\] pass empty string instead of null for optional windowFeatures string
* [CB-6389](https://issues.apache.org/jira/browse/CB-6389) [CB-3617](https://issues.apache.org/jira/browse/CB-3617): Add clearcache and clearsessioncache options to iOS (like Android)
* [CB-6253](https://issues.apache.org/jira/browse/CB-6253): \[WP\] Add Network Capability to WMAppManifest.xml
* [CB-6212](https://issues.apache.org/jira/browse/CB-6212): \[iOS\] fix warnings compiled under arm64 64-bit
* [CB-6218](https://issues.apache.org/jira/browse/CB-6218): Update docs for BB10
* \[WP\] await async calls, resolve warnings
* \[WP\] Make InAppBrowser work with embedded files, using system behavior
* Doc update: event name and example param (closes #31)

`org.apache.cordova.media@0.2.10`
* [CB-6225](https://issues.apache.org/jira/browse/CB-6225): Specify plugin dependency on File plugin 1.0.1

`org.apache.cordova.media-capture@0.3.0`
* [CB-6152](https://issues.apache.org/jira/browse/CB-6152): \[ios, android\] Make mediafile compatible with file plugin
* [CB-6385](https://issues.apache.org/jira/browse/CB-6385): Specify file plugin dependency version
* [CB-6016](https://issues.apache.org/jira/browse/CB-6016) \[BlackBerry10\] Add audio capture capability
* \[BlackBerry10\] Add rim xml namespaces declaration

`org.apache.cordova.network-information@0.3.0`
* [CB-6342](https://issues.apache.org/jira/browse/CB-6342): \[iOS\] iOS reports a cellular connection even when in Airplane mode

`org.apache.cordova.splashscreen@0.3.0`
* [CB-4051](https://issues.apache.org/jira/browse/CB-4051): \[iOS\] - Re-fix - Splashscreen rotation problem (closes #13)

`org.apache.cordova.statusbar@0.1.5`
* [CB-6316](https://issues.apache.org/jira/browse/CB-6316): Added README.md which point to the new location for docs
* [CB-6316](https://issues.apache.org/jira/browse/CB-6316): Added license header to the documentation. Added README.md which point to the new location for docs
* [CB-6316](https://issues.apache.org/jira/browse/CB-6316): Moved StatusBar plugin documentation to docs folder
* [CB-6314](https://issues.apache.org/jira/browse/CB-6314): \[Android\] Add StatusBar.isVisible support to Android
