---
layout: post
author:
    name: Marcel Kinard
    url: https://twitter.com/MarcelKinard
title:  "iOS 64-bit apps in Cordova"
categories: announcements
tags: news
---

**Apple** has [recently announced](https://developer.apple.com/news/?id=10202014a)
that new and updated apps submitted to the **Apple App Store** must include *64-bit*
support for them to be approved. This change will be implemented by the **Apple
App Store** starting **February 1, 2015**.

This means that starting at that time, Cordova-based apps should be built using
a version of **Cordova** that has *64-bit* **iOS** support.

The first version of **Cordova** to include *64-bit* for **iOS** is **3.4.1**. Therefore,
to meet these requirements of the **Apple App Store**, you should be using at least
version **3.4.1** of **Cordova** before this *February* deadline.

<!--more-->

The *64-bit* support for **iOS** is in the form of a fat binary that contains *32-bit*
and *64-bit* code. This form of fat binary is only supported for **iOS** **5.1.1** and *up*.
So when creating **iOS** apps with *64-bit* support, you will not be able to target
them for **iOS** versions *earlier than* **5.1.1**.

If you are on a version of **Cordova** *older than* **3.4.1** and building **iOS** apps, you
are encouraged to upgrade to a more recent version before **Apple**'s *deadline*.
For *upgrade instructions*, please see the _Updating Cordova and Your Project_
section of the [documentation](http://cordova.apache.org/docs/en/dev/guide_cli_index.md.html).
You may also find upgrade hints in the blog, such as this
[recent one for iOS 3.7.0](http://cordova.apache.org/announcements/2014/11/06/cordova-ios-3.7.0.html). The Apache community has no plans to backport the iOS
64-bit capability to earlier versions of Cordova.

Additionally, if your **iOS** project already exists and was originally created
before **3.4.1**, you will need to update the **Build Settings for Architectures**
and **Valid Architectures** as described in [this issue](https://issues.apache.org/jira/browse/CB-6223?focusedCommentId=13930935&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-13930935).

You need to also meet the rest of the requirements outlined in **Apple**'s
announcement, including using **Xcode** **6** and the **iOS** **8** **SDK**.

