---
layout: post
author:
    name: Steve Gill
    url: https://twitter.com/stevesgill
title:  "Cordova OSX 4.0.0"
categories: announcements
tags: news releases
---

We are happy to announce that `Cordova OSX 4.0.0` has been released! This was a much needed updated to get `cordova-osx` working with the `cordova-cli`. Try it out!

Add it to your projects via:

    cordova platform add osx@4.0.0

<!--more-->
## What's new in OSX platform

* [CB-10570](https://issues.apache.org/jira/browse/CB-10570) Compilation error on case sensitive filesystem
* [CB-6789](https://issues.apache.org/jira/browse/CB-6789) **OSX** - Fix header licenses (Apache RAT report).
* Update `CDVBridge.m`
* [CB-10308](https://issues.apache.org/jira/browse/CB-10308) Unable to parse multi dimensional arrays with more than 2 levels
* [CB-10238](https://issues.apache.org/jira/browse/CB-10238) Move device-plugin out from `cordovalib` to the plugin repository
* [CB-9818](https://issues.apache.org/jira/browse/CB-9818) Reloading the webview in **OSX** looses the `CordovaBridgeUti`
* [CB-10198](https://issues.apache.org/jira/browse/CB-10198) Prompt submission bug
* [CB-10085](https://issues.apache.org/jira/browse/CB-10085) Implement and expose PlatformApi for **OSX**
* [CB-10099](https://issues.apache.org/jira/browse/CB-10099) **OSX** copy-paste not possible in own windows
* [CB-10087](https://issues.apache.org/jira/browse/CB-10087) **OSX** facilitate easy preferences menu item handling
* [CB-10084](https://issues.apache.org/jira/browse/CB-10084) **OSX** (re)move connectivity in favour of `cordova-plugin-network-information`
* [CB-6789](https://issues.apache.org/jira/browse/CB-6789) **OSX** Fix header licenses 
* [CB-9584](https://issues.apache.org/jira/browse/CB-9584) **OSX** add config to enable webview debug menu
* simple: `CDV.h` is not exported
* [CB-9925](https://issues.apache.org/jira/browse/CB-9925) Add basic tests to **OSX** platform
* [CB-9818](https://issues.apache.org/jira/browse/CB-9818) Reloading the webview in **OSX** looses the `CordovaBridgeUtil`
* [CB-9692](https://issues.apache.org/jira/browse/CB-9692) **OSX** `cordova.exec` is not available
* [CB-9581](https://issues.apache.org/jira/browse/CB-9581) **OSX** `WebView` does not send cookies is safari cache is cleared 
* Fullscreen windows does not properly get focused
* fix plugin argument calls
* [CB-9541](https://issues.apache.org/jira/browse/CB-9541) Add preferences to put app into "kiosk mode"
* escape `__PROJECT_NAME__` with quotes in project file
* replace `__PROJECT_NAME__` also in `config.xml` and controller strings
* [CB-9517](https://issues.apache.org/jira/browse/CB-9517) Adding a plugin on **iOS/OSX** that uses a private framework does not work 
* [CB-8417](https://issues.apache.org/jira/browse/CB-8417) moved platform specific js into platform
* [CB-6789](https://issues.apache.org/jira/browse/CB-6789) Add license to `CONTRIBUTING.md`
* Updated docs link in `README` to use apache link, not the redirect.
* [CB-6567](https://issues.apache.org/jira/browse/CB-6567) Adding the **OSX** platform also copies over the `CordovaLibTests`
* [CB-6560](https://issues.apache.org/jira/browse/CB-6560): added top level `package.json` file
* [CB-6491](https://issues.apache.org/jira/browse/CB-6491) add `CONTRIBUTING.md`
