---
layout: post
author:
    name: Steve Gill
    url: https://twitter.com/stevesgill
title:  "Cordova iOS 4.1.0"
categories: announcements
tags: news releases
---

We are happy to announce that `Cordova iOS 4.1.0` has been released!

This release addresses issue [CB-10530](https://issues.apache.org/jira/browse/CB-10530), which was an issue with your apps periodically freezing directly after starting.

A new version of the `cordova-cli` will need to be released to pin this version of **cordova-ios** as the default version when creating a new project. If you want to start using this version now, make sure to specify the version when doing a `cordova platform add/update`.

To upgrade:

    npm install -g cordova
    cd my_project
    cordova platform rm ios
    cordova platform add ios@4.1.0
    

To add it explicitly:

    cordova platform add ios@4.1.0

<!--more-->
## What's new in iOS platform

* [CB-10693](https://issues.apache.org/jira/browse/CB-10693) added missing header license
* [CB-10530](https://issues.apache.org/jira/browse/CB-10530) App freezes sometimes directly after starting on **iOS**
* [CB-10668](https://issues.apache.org/jira/browse/CB-10668) checked in `node_modules`
* [CB-10668](https://issues.apache.org/jira/browse/CB-10668) removed `bin/node_modules`
* [CB-10668](https://issues.apache.org/jira/browse/CB-10668) updated `create.js` to grab `node_modules` from root, updated `package.json`
* [CB-10138](https://issues.apache.org/jira/browse/CB-10138)  Adds missing plugin metadata to `plugin_list` module
* [CB-10493](https://issues.apache.org/jira/browse/CB-10493) **iOS** Missing `icon.png`
* [CB-10184](https://issues.apache.org/jira/browse/CB-10184) `Images.xcassets`: A 83.5x83.5@2x app icon is required for iPad apps targeting **iOS 9.0** and later
* Disable `ios-deploy` wifi mode when deploying to a device
* [CB-10272](https://issues.apache.org/jira/browse/CB-10272) Improve `<allow-intent>` and `<allow-navigation>` error logs
* Updated bundled `ios-sim` to `5.0.6`
* [CB-10233](https://issues.apache.org/jira/browse/CB-10233) Support different `config.xml` file per `CDVViewController` instance
* Add additional valid targets for simulation
* Updated CDV version macro to 4.0.1
* [CB-10185](https://issues.apache.org/jira/browse/CB-10185) Update `CordovaLib.xcodeproj` to recommended settings in **Xcode 7.2**
* [CB-10171](https://issues.apache.org/jira/browse/CB-10171) `WebKit` Error after migration to **iOS@4.0.0**
* [CB-10155](https://issues.apache.org/jira/browse/CB-10155) `DisallowOverscroll` not working
* [CB-10168](https://issues.apache.org/jira/browse/CB-10168) `CDVViewController` `appURL` is `nil` if `wwwFolderName` is the path to a resource bundle
* [CB-10162](https://issues.apache.org/jira/browse/CB-10162) update reference url for icon images
* [CB-10162](https://issues.apache.org/jira/browse/CB-10162) correct the paths for **iOS** icon and splashscreen resources
