---
layout: post
author:
    name: Steve Gill
    url: https://twitter.com/stevesgill
title:  "Cordova iOS 4.2.0"
categories: announcements
tags: news releases
---

We are happy to announce that `Cordova iOS 4.2.0` has been released!

Along with some bug fixes, this release adds support for node 6 to `cordova-ios`!

A new version of the `cordova-cli` will need to be released to pin this version of **cordova-ios** as the default version when creating a new project. If you want to start using this version now, make sure to specify the version when doing a `cordova platform add/update`.

**Note:** When updating, make sure to save your plugins as current unsaved plugins may not be reinstalled otherwise. Run the following command in your project to save your currently installed plugins into `config.xml`:

    cordova plugin save

To upgrade:

    npm install -g cordova
    cd my_project
    cordova platform rm ios
    cordova platform add ios@4.2.0
    

To add it explicitly:

    cordova platform add ios@4.2.0

<!--more-->
## What's new in iOS platform

* `cordova-ios` now supports node 6!
* [CB-11445](https://issues.apache.org/jira/browse/CB-11445) Updated checked-in `node_modules`
* [CB-11424](https://issues.apache.org/jira/browse/CB-11424) `AppVeyor` test failures (path separator) on `cordova-ios` platform
* [CB-11375](https://issues.apache.org/jira/browse/CB-11375) - onReset method of CDVPlugin is never called
* [CB-11366](https://issues.apache.org/jira/browse/CB-11366) Break out obj-c tests so they are not called from jasmine - Fix for `mktemp` variants (Linux vs Darwin)
* [CB-11117](https://issues.apache.org/jira/browse/CB-11117) Optimize prepare for **iOS** platform, clean prepared files
* [CB-11265](https://issues.apache.org/jira/browse/CB-11265) Remove target checking for `cordova-ios`
* [CB-11259](https://issues.apache.org/jira/browse/CB-11259) Improving build output
* [CB-10695](https://issues.apache.org/jira/browse/CB-10695) Fix issue with unable to deploy to the **iOS** Simulator using `cordova emulate ios`
* [CB-10695](https://issues.apache.org/jira/browse/CB-10695) Replacing `SDK/ARCH` parameters by new destination parameter. Fixes issues when project has targets using different `SDKs`, i.e.: **watchOS** vs **iOS**
* [CB-11069](https://issues.apache.org/jira/browse/CB-11069) `CDVViewController` `appURL` is `nil` if `wwwFolderName` is the path to a framework
* [CB-11200](https://issues.apache.org/jira/browse/CB-11200) Bump `node-xcode` version
* [CB-11235](https://issues.apache.org/jira/browse/CB-11235) `NSInternalInconsistencyException` when running **iOS** unit tests
* [CB-11161](https://issues.apache.org/jira/browse/CB-11161) Reuse `PluginManager` from `cordova-common` to `add/rm` plugins
* [CB-11161](https://issues.apache.org/jira/browse/CB-11161) Bump `cordova-common` to `1.3.0`.
* [CB-11019](https://issues.apache.org/jira/browse/CB-11019) Update tests to validate project name updates
* [CB-11019](https://issues.apache.org/jira/browse/CB-11019) Handle changes of app name gracefully
* [CB-11022](https://issues.apache.org/jira/browse/CB-11022) Duplicate `www` files on plugin installtion/removal
* [CB-6992](https://issues.apache.org/jira/browse/CB-6992) Fix non-working create case, add new test
* [CB-10957](https://issues.apache.org/jira/browse/CB-10957) Remove `build*.xconfig` from build outputs: `*.ipa`, `*.app`
* [CB-10964](https://issues.apache.org/jira/browse/CB-10964) Handle `build.json` file starting with a `BOM`
* [CB-10942](https://issues.apache.org/jira/browse/CB-10942) - Cannot `<allow-navigation href="https://foo.bar" />` for links in that site, if you have `<allow-intent href="https://*" />`
