---
layout: post
author:
    name: Bryan Ellis
title: "Node 6.x and 8.x Deprecation Timeline for Apache Cordova"
categories: news
tags: deprecation timeline node
---

Currently, all of the latest released platforms, tools, and core libraries require a minimum version of `node 6.x` to be installed. Additionally, we have added support for `node 10.x`.

The Node.js Foundation has reported that the End-of-Life (EOL) for version 6.x will be April 30th, 2019. Looking ahead, the Node.JS Foundation has also scheduled the deprecation of 8.x on December 31, 2019 to be aligned with the scheduled End-of-Life of OpenSSL-1.0.2.

Since October 30th, 2018, `node 10.x` has started its active Long Term Support ([LTS][1]) period. Thus, as `node 10.x` is the default download from [Node.js](https://nodejs.org/en/), we also recommend users to upgrade to the current LTS (10.x) before/by the time 8.x has reached EOL.

During these two distinct deprecation periods, we will prepare our tools, platforms, core libraries, and plugins to follow the Node.js Foundation reported EOL schedule.

We will also plan to add `node 12.x` support. Currently, `node 12.x` is pending for release on April 23rd, 2019.

JavaScript files in plugins themselves are unaffected since the JavaScript support for them is dependent on platform browser support. For the Electron platform, if using Node.js APIs there is a possibility of experience an effect.  

<!--more-->

## Cordova Timeline

### **March 2019**

* All AppVeyor/Travis CI builds will continue to test on Node.js 6.x, 8.x, and 10.x.

### **April 2019**

* All AppVeyor/Travis CI builds will test on Node.js 6.x, 8.x, 10.x, and 12.x.
* Update requirement check and notify users: `Warning: Node.js 6.x has been deprecated. Please upgrade to the latest Node.js version available (LTS version recommended).`

### **Fall 2019**

* Update requirement check and notify users: `Warning: Node.js 8.x has been deprecated. Please upgrade to the latest Node.js version available (LTS version recommended).`

### **Winter 2019**

* Removed Node.js 6.x support.
* Removed Node.js 8.x support.
* Added Node.js 12.x  support.
* Platforms, tools, and core libraries to bump up a major version.
* All AppVeyor/Travis CI builds will test on Node.js 10.x, and 12.x.

## Node Deprecation Timeline (Reported: Jan. 29, 2019)

[![Node Deprecation Timeline](/static/img/2019-01-29-node-eol-timeline.svg)](/static/img/2019-01-29-node-eol-timeline.svg)