---
layout: post
author:
    name: Bryan Ellis
title:  "Cordova CLI 11.1.0 Released!"
categories: news
tags: news releases
---

We are happy to announce that we have just released a minor update to our Cordova CLI!

* [cordova@11.1.0](https://www.npmjs.com/package/cordova)

This release also pins our internal libraries to the latest releases:

* [cordova-lib@11.1.0](https://www.npmjs.com/package/cordova-lib)
* [cordova-create@4.1.0](https://www.npmjs.com/package/cordova-create)
* [cordova-fetch@3.1.0](https://www.npmjs.com/package/cordova-fetch)
* [cordova-common@4.1.0](https://www.npmjs.com/package/cordova-common)

## Release Highlights

This release officially appends the deprecation flag to the Windows & OSX platforms on the available platforms output screen.

We have updated our internal process to pass all of the XML attribute values in `config.xml` to the platform packages so we can easily update the platforms without updating tooling and CLI.

We have updated all possible npm packages to the latest non-major release that Cordova can support.

Please report any issues you find at [issues.cordova.io](http://issues.cordova.io/)!

<!--more-->
# Changes include:

**Cordova CLI 11.1.0:**

* [GH-603](https://github.com/apache/cordova-cli/pull/603) dep: bump to latest minor+patch w/ `package-lock` rebuild
  * `cordova-common@^4.1.0`
  * `cordova-create@^4.1.0`
  * `cordova-lib@^11.1.0`
  * `systeminformation@^5.17.3`
* [GH-599](https://github.com/apache/cordova-cli/pull/599) chore: remove unnecessary gendered text
* [GH-600](https://github.com/apache/cordova-cli/pull/600) ci: update codecov & run on node 14-18
* [GH-587](https://github.com/apache/cordova-cli/pull/587) dep(npm): bump packages to latest minor/patch revisions w/ `package-lock`

**Cordova Lib 11.1.0:**

* [GH-904](https://github.com/apache/cordova-lib/pull/904) dep(npm): bump `cordova-fetch@3.1.0` w/ package-lock rebuild
* [GH-901](https://github.com/apache/cordova-lib/pull/901) feat: bump dependencies to latest minor & patch revision
  * `fs-extra@^10.1.0`
  * `globby@^11.1.0`
  * `semver@^7.3.8`
  * `cordova-android@10.1.2`
  * `jasmine@^3.99.0`
* [GH-899](https://github.com/apache/cordova-lib/pull/899) feat: bump `cordova-common@4.1.0`
* [GH-852](https://github.com/apache/cordova-lib/pull/852) feat(windows): deprecate platform
* [GH-851](https://github.com/apache/cordova-lib/pull/851) feat(osx): deprecate platform

**Cordova Create 4.1.0:**

* [GH-73](https://github.com/apache/cordova-create/pull/73) dep(npm): bump dependencies to latest minor/patch & rebuild package-lock
  * `cordova-common@^4.1.0`
  * `cordova-fetch@^3.1.0`
  * `fs-extra@^10.1.0`
  * `globby@^11.1.0`
  * `jasmine@^3.99.0`
* [GH-74](https://github.com/apache/cordova-create/pull/74) ci(workflow): update node support & action dependencies

**Cordova Fetch 3.1.0:**

* [GH-101](https://github.com/apache/cordova-fetch/pull/101) ci(workflow): update node 14 to use npm ^7.2
* [GH-100](https://github.com/apache/cordova-fetch/pull/100) ci(workflow): update action dependencies & node versions
* [GH-98](https://github.com/apache/cordova-fetch/pull/98) dep(npm): bump w/ latetst minor & patch releases
  * `cordova-common@^4.1.0`
  * `fs-extra@^9.1.0`
  * `npm-package-arg@^8.1.5`
  * `pacote@^11.3.5`
  * `resolve@^1.22.1`
  * `semver@^7.3.8`
  * `jasmine@^3.99.0`
  * `nyc@^15.1.0`
* [GH-97](https://github.com/apache/cordova-fetch/pull/97) chore(npm): rebuilt `package-lock` to v2
* [GH-94](https://github.com/apache/cordova-fetch/pull/94) ci(workflow): replace node 15 with node 16 (npm@7)
* [GH-93](https://github.com/apache/cordova-fetch/pull/93) chore(npm): update `package-lock`
