---
license: >
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.

title: Plugin APIs
---

# Plugin APIs

Cordova ships with a minimal set of APIs, and projects add what extra APIs they require through plugins.

You can search through all existing plugins using the [Plugin Registry](http://plugins.cordova.io/).

The traditional set of Cordova plugins are as follows:

- [Battery Status](https://github.com/apache/cordova-plugin-battery-status/blob/master/README.md)
> Monitor the status of the device's battery.

- [Camera](https://github.com/apache/cordova-plugin-camera/blob/master/README.md)
> Capture a photo using the device's camera.

- [Contacts](https://github.com/apache/cordova-plugin-contacts/blob/master/README.md)
> Work with the devices contact database.

- [Device](https://github.com/apache/cordova-plugin-device/blob/master/README.md)
> Gather device specific information.

- [Device Motion (Accelerometer)](https://github.com/apache/cordova-plugin-device-motion/blob/master/README.md)
> Tap into the device's motion sensor.

- [Device Orientation (Compass)](https://github.com/apache/cordova-plugin-device-orientation/blob/master/README.md)
> Obtain the direction that the device is pointing.

- [Dialogs](https://github.com/apache/cordova-plugin-dialogs/blob/master/README.md)
> Visual device notifications.

- [FileSystem](https://github.com/apache/cordova-plugin-file/blob/master/README.md)
> Hook into native file system through JavaScript.

- [File Transfer](https://github.com/apache/cordova-plugin-file-transfer/blob/master/README.md)
> Hook into native file system through JavaScript.

- [Geolocation](https://github.com/apache/cordova-plugin-geolocation/blob/master/README.md)
> Make your application location aware.

- [Globalization](https://github.com/apache/cordova-plugin-globalization/blob/master/README.md)
> Enable representation of objects specific to a locale.

- [InAppBrowser](https://github.com/apache/cordova-plugin-inappbrowser/blob/master/README.md)
> Launch URLs in another in-app browser instance.

- [Media](https://github.com/apache/cordova-plugin-media/blob/master/README.md)
> Record and play back audio files.

- [Media Capture](https://github.com/apache/cordova-plugin-media-capture/blob/master/README.md)
> Capture media files using device's media capture applications.

- [Network Information (Connection)](https://github.com/apache/cordova-plugin-network-information/blob/master/README.md)
> Quickly check the network state, and cellular network information.

- [Splashscreen](https://github.com/apache/cordova-plugin-splashscreen/blob/master/README.md)
> Show and hide the applications splash screen.

- [Vibration](https://github.com/apache/cordova-plugin-vibration/blob/master/README.md)
> An API to vibrate the device.

Non-English translations of these plugin docs can be found by looking at older versions of the Cordova documentation. Use the drop-down menu at the very top-right of this site to switch versions.

