---
license: >
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.

title: Platform Guides
---

# Platform Guides

Before developing for any of the platforms listed below, install
cordova's command-line interface (CLI).
(For details, see [The Command-Line Interface](../cli/index.html).)

To develop Cordova applications, you must install SDKs for each mobile
platform you are targeting. This installation is necessary regardless
of whether you do the majority of your work in the SDK or use the CLI
for your build cycle.

Each _Platform Guide_ listed below tells you what you need to know to
set up each platform's development environment: where to obtain the
SDK, how to set up device emulators, how to connect devices for direct
testing, and how to manage signing key requirements.  Additional
guides provide information on each platform's unique set of
configuration options, instructions to add plugins, how to upgrade
each platform, and platform-specific command-line tools that serve as
a lower-level alternative to the `cordova` command-line utility.

## Amazon Fire OS

* [Amazon Fire OS Platform Guide](amazonfireos/index.html)
* [Amazon Fire OS Configuration](amazonfireos/config.html)
* [Amazon Fire OS WebViews](amazonfireos/webview.html)
* [Amazon Fire OS Plugins](amazonfireos/plugin.html)

## Android

* [Android Platform Guide](android/index.html)
* [Android Configuration](android/config.html)
* [Android WebViews](android/webview.html)
* [Android Plugins](android/plugin.html)
* [Android Command-line Tools](android/tools.html)
* [Upgrading Android](android/upgrading.html)

## BlackBerry 10

* [BlackBerry 10 Platform Guide](blackberry10/index.html)
* [BlackBerry 10 Configuration](blackberry10/config.html)
* [BlackBerry 10 Plugins](blackberry10/plugin.html)
* [BlackBerry 10 Command-line Tools](blackberry10/tools.html)
* [Upgrading BlackBerry 10](blackberry10/upgrading.html)

## Firefox OS

* [Firefox OS Platform Guide](firefoxos/index.html)

## iOS

* [iOS Platform Guide](ios/index.html)
* [iOS Configuration](ios/config.html)
* [iOS WebViews](ios/webview.html)
* [iOS Plugins](ios/plugin.html)
* [iOS Command-line Tools](ios/tools.html)
* [Upgrading iOS](ios/upgrading.html)

## Ubuntu

* [Ubuntu Platform Guide](ubuntu/index.html)

## Windows Phone

* [Windows Phone 8 Platform Guide](wp8/index.html)
* [Windows Phone 7 Platform Guide](wp7/index.html)
* Windows Phone Configuration
* [Windows Phone Command-line Tools](wp8/tools.html)
* [Upgrading Windows Phone](wp8/upgrading.html)

## Windows 8

* [Windows 8 Platform Guide](win8/index.html)
* [Windows 8 Command-line Tools](win8/tools.html)
* [Upgrading Windows 8](win8/upgrading.html)

## Tizen

* [Tizen Platform Guide](tizen/index.html)

